subroutine reset2D(VAR_in, VAR_out)
  use prm, only: IMAX, JMAX
  implicit none

  real(8), INTENT(IN)    :: VAR_in(1:IMAX, 1:JMAX)            
  real(8), INTENT(OUT)   :: VAR_out(1:IMAX, 1:JMAX)            
  
  VAR_out = VAR_in

end subroutine reset2D

subroutine reset3D(VAR_in, VAR_out)
  use prm, only: IMAX, JMAX, KMAX
  implicit none

  real(8)    :: VAR_in(1:IMAX, 1:JMAX, 1:KMAX)    
  real(8)    :: VAR_out(1:IMAX, 1:JMAX, 1:KMAX)   

  VAR_out = VAR_in
 
end subroutine reset3D
